import type { ProjectSchemaJSON } from '../project-schema/index.ts';
import type { ServiceLayers } from '../types/types.ts';
import { ProjectSchemaImpl } from './project-schema.ts';
export declare class RuntimeSchema extends ProjectSchemaImpl {
    private constructor();
    static buildSchema(userSchema: ProjectSchemaJSON, layers: ServiceLayers): RuntimeSchema;
    static safeBuildSchema(userSchema: ProjectSchemaJSON, layers: ServiceLayers): RuntimeSchema | undefined;
    static fromJson(runtimeSchema: ProjectSchemaJSON, layers: ServiceLayers): RuntimeSchema;
}
